
QGIS Application - Bug report #2275

Layer units and measuring

2009-12-13 09:29 AM - dr -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Map Canvas

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12335

Description

1. Settings - Project Properties, set layer units to degrees.

2. Try to measure line. Results is in degrees.

3. Settings - Project Properties, set layer units to meters.

4. Try to measure line. Results is in degrees again until clicking right button on mouse.

History

#1 - 2010-06-26 02:37 AM - Marco Hugentobler

I cannot reproduce this bug. Is it still true?

#2 - 2010-06-30 11:23 PM - dr -

Yes, it is still true.

#3 - 2010-07-05 02:55 AM - Anne Ghisla

The unit in the total box changes immediately after hitting OK in Project Properties window, however, the subtitle "Segments (in $unit)" needs a right-click

and the start of new measurements to be changed to the new unit. - Debian testing, self-compiled QGIS commit:d4195f3d (SVN r13851).

It's confusing for me that the total is displayed in the new unit and the subtotals are mixed, even if there is no conversion of the raw values. Shall the

Measure window be refreshed also from old measurements?

#4 - 2011-03-02 08:12 AM - Paolo Cavallini

- Resolution set to fixed

- Status changed from Open to Closed

It should be fixed now. Please check with trunk and reopen if necessary.
